Search documentation of grizzly

# View Source Grizzly.ZIPGateway.Supervisor (grizzly v7.4.2)

Supervisor for the Z/IP Gateway process.

# Summary

## Functions

child_spec(init_arg)

Returns a specification to start this module under a supervisor.

restart_zipgateway()

Restarts the Z/IP Gateway process. An error will be raised if `Grizzly.ZIPGateway.Supervisor` is not running.

start_link(options)
stop_zipgateway()

Stops the Z/IP Gateway process if it is running.

# Functions

Link to this function

# child_spec(init_arg)

View Source

Returns a specification to start this module under a supervisor.

See `Supervisor`.

Link to this function

# restart_zipgateway()

View Source

    @spec restart_zipgateway() :: :ok

Restarts the Z/IP Gateway process. An error will be raised if `Grizzly.ZIPGateway.Supervisor` is not running.

Link to this function

# start_link(options)

View Source

    @spec start_link(Grizzly.Options.t()) :: Supervisor.on_start()

Link to this function

# stop_zipgateway()

View Source

    @spec stop_zipgateway() :: :ok

Stops the Z/IP Gateway process if it is running.